# SpringBoot
spring:
  datasource:
    # Database thread pool
    url: ${MYSQL_URL:jdbc:mysql://localhost:3306/tourist?useUnicode=true&characterEncoding=UTF-8}
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: ${MYSQL_USER:tourist}
    password: ${MYSQL_PASS:48161639}
    hikari:
      idle-timeout: 30000
      connection-timeout: 10000
      maximum-pool-size: 15
      minimum-idle: 5
      auto-commit: true

  # Hot reload tools
  devtools:
    restart:
      enabled: false

  # Init SQL Connection
  sql:
    init:
      mode: always
      schema-locations: classpath:db/schema.sql
      #      data-locations:
      #        - classpath:db/data.sql
      #        - classpath:db/district.sql
      data-locations: classpath:db/data.sql
      username: ${MYSQL_USER:tourist}
      password: ${MYSQL_PASS:48161639}
      separator: ^;


  # Spring Data JPA
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database: mysql
    defer-datasource-initialization: true


# Spring doc
springdoc:
  api-docs:
    enabled: true
    path: /api-docs

  swagger-ui:
    enabled: true
    path: /api-test

  packages-to-scan: top.tourist






